Skip to main content

Unlock requests in last run's default request queue

POST 

/v2/acts/:actorId/runs/last/request-queue/requests/unlock

Unlocks requests in the default request queue of the last Actor run that are currently locked by the client.

This endpoint is a shortcut for getting the last run's defaultRequestQueueId and then using the Unlock requests endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or a tilde-separated owner's username and Actor name.


    Example: janedoe~my-actor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc

Status 200

Number of requests that were unlocked

{
"data": {
"unlockedCount": 10
}
}